Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981938 - percentage going in the opposite direction
Summary: percentage going in the opposite direction
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-07 07:41 UTC by Marcel Ribeiro Dantas
Modified: 2014-02-21 22:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-21 22:07:53 UTC


Attachments (Terms of Use)

Description Marcel Ribeiro Dantas 2013-07-07 07:41:19 UTC
Description of problem:
At some point during the installation, the % of software installation is about 84% but then it comes down to 83% and then it gets unstable between 83 and 84%, 85% going up and down.

Version-Release number of selected component (if applicable):


How reproducible:
I used the F19 Live Desktop DVD. I erased some space in my HD and used this to be the space for my installation (both swap/boot/home//). It was all made with Anaconda.

Steps to Reproduce:
1. Use Anaconda to Clean some space
2. Use it to install F19
3. Install F19

Actual results:


Expected results:
% going from 0 to 100, without going in the opposite direction.

Additional info:

Comment 1 Steve Tyler 2013-07-08 09:01:26 UTC
I believe I reproduced this in a VM. The reversals are very brief, so you have to watch closely. Overall, the percentage increases more or less steadily from 0% to 100%.

Procedure:

Create an empty disk image:
$ qemu-img create f19-test-1.img 12G

Start the installer from the Live image:
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F19/Fedora-Live-Desktop-x86_64-19-1.iso -vga std -boot menu=on

Select default disk partitioning.
Start the install.
Do not set a root password or create a user account.

Watch the "Installing software" percentage.
The percentage sometimes decreases by one or two and then begins increasing again.


Note You need to log in before you can comment on or make changes to this bug.